#ifndef _Handle_PTopoDS_Compound_HeaderFile
#define _Handle_PTopoDS_Compound_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_HShape_HeaderFile
#include <Handle_PTopoDS_HShape.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_HShape);
class PTopoDS_Compound;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PTopoDS_Compound);

class Handle(PTopoDS_Compound) : public Handle(PTopoDS_HShape) {
  public:

    Handle(PTopoDS_Compound)():Handle(PTopoDS_HShape)() {} 
    Handle(PTopoDS_Compound)(const Handle(PTopoDS_Compound)& aHandle) : Handle(PTopoDS_HShape)(aHandle) 
     {
     }

    Handle(PTopoDS_Compound)(const PTopoDS_Compound* anItem) : Handle(PTopoDS_HShape)((PTopoDS_HShape *)anItem) 
     {
     }

    Handle(PTopoDS_Compound)& operator=(const Handle(PTopoDS_Compound)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PTopoDS_Compound)& operator=(const PTopoDS_Compound* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PTopoDS_Compound* operator->() const 
     {
      return (PTopoDS_Compound *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PTopoDS_Compound) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
